sock_opened(3z)

NAME
sock_opened - test whether a network connection is established

SYNOPSIS
#include <net/socket.h>

bool_t sock_opened(SOCKET *s);

DESCRIPTION
The parameter s is a descriptor to a socket created using sock_open(3z) or sock_listen(3z).

The sock_opened() function tests whether a socket is open i.e. connection to a remote host has been established.

A socket of prot_UDP is always established.

RETURN VALUE
sock_opened() returns TRUE or FALSE

SEE ALSO
sock_closed(3z)

AUTHOR
Dominic Morris <dom@jb.man.ac.uk>